# Uses of Class
io.dapr.v1.DaprProtos.UnlockResponse

Packages that use DaprProtos.UnlockResponse
Package
Description
io.dapr.v1

## Uses of DaprProtos.UnlockResponse in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.UnlockResponse
Modifier and Type
Method
Description
`DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.Builder.`build()`
`DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.Builder.`buildPartial()`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`getDefaultInstance()`
`DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.Builder.`getDefaultInstanceForType()`
`DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`getDefaultInstanceForType()`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseDelimitedFrom(InputStream input)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(byte[] data)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(InputStream input)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(ByteBuffer data)`
`static DaprProtos.UnlockResponse`
DaprProtos.UnlockResponse.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.UnlockResponse`
DaprGrpc.DaprBlockingStub.`unlockAlpha1(DaprProtos.UnlockRequest request)`
UnlockAlpha1 unlocks a lock.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.UnlockResponse
Modifier and Type
Method
Description
`com.google.protobuf.Parser<DaprProtos.UnlockResponse>`
DaprProtos.UnlockResponse.`getParserForType()`
`static io.grpc.MethodDescriptor<DaprProtos.UnlockRequest,DaprProtos.UnlockResponse>`
DaprGrpc.`getUnlockAlpha1Method()`
`static com.google.protobuf.Parser<DaprProtos.UnlockResponse>`
DaprProtos.UnlockResponse.`parser()`
`com.google.common.util.concurrent.ListenableFuture<DaprProtos.UnlockResponse>`
DaprGrpc.DaprFutureStub.`unlockAlpha1(DaprProtos.UnlockRequest request)`
UnlockAlpha1 unlocks a lock.
Methods in io.dapr.v1 with parameters of type DaprProtos.UnlockResponse
Modifier and Type
Method
Description
`DaprProtos.UnlockResponse.Builder`
DaprProtos.UnlockResponse.Builder.`mergeFrom(DaprProtos.UnlockResponse other)`
`static DaprProtos.UnlockResponse.Builder`
DaprProtos.UnlockResponse.`newBuilder(DaprProtos.UnlockResponse prototype)`
Method parameters in io.dapr.v1 with type arguments of type DaprProtos.UnlockResponse
Modifier and Type
Method
Description
`default void`
DaprGrpc.AsyncService.`unlockAlpha1(DaprProtos.UnlockRequest request, io.grpc.stub.StreamObserver<DaprProtos.UnlockResponse> responseObserver)`
UnlockAlpha1 unlocks a lock.
`void`
DaprGrpc.DaprStub.`unlockAlpha1(DaprProtos.UnlockRequest request, io.grpc.stub.StreamObserver<DaprProtos.UnlockResponse> responseObserver)`
UnlockAlpha1 unlocks a lock.